%global _hardened_build 1
%define _cmake_skip_rpath %nil
# exclude devel(libocsync)
%global __requires_exclude ^(devel\\(libocsync.*)$

%define nextcloudsync_major 0
%define libnextcloudsync %mklibname nextcloudsync %nextcloudsync_major
%define libocsync_major 0
%define liblibocsync %mklibname ocsync %libocsync_major

Name:	nextcloud-client
Version:	2.5.0
Release:	%mkrel 2
Summary:	The Nextcloud Client
Group:	Archiving/Backup

# -libs are LGPLv2+, rest GPLv2
License:	LGPLv2+ and GPLv2
Url:	https://nextcloud.com/install/#install-clients
Source0:	https://github.com/nextcloud/desktop/archive/v%{version}.tar.gz
#Source1:	https://download.owncloud.com/desktop/stable/owncloudclient-%{version}.tar.xz
Source2:	%{name}.appdata.xml
#Patch0:	%{name}-2.4.0-syslibs.patch
#Patch1:	%{name}-icon.patch
Patch2:	%{name}-inotify.patch
Patch3:	openssl.patch

BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python-sphinx
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	appstream-util

BuildRequires:	kf5-macros

BuildRequires:	cmake(KF5KIO)

BuildRequires:	cmake(Qt5Keychain)

BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	inotify-tools


BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	%liblibocsync = %{version}-%{release}
Requires:	%libnextcloudsync = %{version}-%{release}
Provides:	owncloud-client = %version-%release
Obsoletes:	owncloud-client < 2.2.4-2

%description
Nextcloud-client enables you to connect to your private Nextcloud Server.
With it you can create folders in your home directory, and keep the contents
of those folders synced with your Nextcloud server. Simply copy a file into
the directory and the Nextcloud Client does the rest.

%files
%{_bindir}/nextcloud
%{_bindir}/nextcloudcmd
%{_datadir}/applications/nextcloud.desktop
%dir %{_datadir}/nextcloud
%{_datadir}/nextcloud/i18n/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml
%dir %{_sysconfdir}/Nextcloud
%{_sysconfdir}/Nextcloud/sync-exclude.lst

#------------------------------------------------------------------------------

%package nautilus
Summary:	nextcloud client nautilus extension
Requires:	nautilus
Requires:	nautilus-python
Requires:	%{name} = %{version}-%{release}

%description nautilus
The nextcloud desktop client nautilus extension.

%files nautilus
%{_datadir}/nautilus-python/extensions/*

#------------------------------------------------------------------------------

%package nemo
Summary:	Nemo overlay icons
Requires:	nemo
Requires:	nemo-python
Requires:	%{name} = %{version}-%{release}

%description nemo
This package provides overlay icons to visualize the sync state
in the nemo file manager.

%files nemo
%{_datadir}/nemo-python/extensions/*

%package caja
Summary:	Caja overlay icons
Requires:	caja
Requires:	python-caja
Requires: %{name}%{?_isa} = %{version}-%{release}

%description caja
This package provides overlay icons to visualize the sync state
in the caja file manager.

%files caja
%{_datadir}/caja-python/extensions/*
#------------------------------------------------------------------------------

%package dolphin
Summary:	Dolphin overlay icons
Requires:	dolphin
Requires:	%{name} = %{version}-%{release}

%description dolphin
The nextcloud desktop client dolphin extension.

%files dolphin
%{_kf5_libdir}/libnextclouddolphinpluginhelper.so
%{_kf5_plugindir}/overlayicon/nextclouddolphinoverlayplugin.so
%{_qt5_plugindir}/nextclouddolphinactionplugin.so
%{_kf5_services}/nextclouddolphinactionplugin.desktop

#------------------------------------------------------------------------------


%package -n %libnextcloudsync
Summary:	The Nextcloud Client Libraries
Group:	System/Libraries
# From owncloud-client
Obsoletes:	%{_lib}owncloudsync2 < 2.2.4-2

%description -n %libnextcloudsync
The Nextcloud Client Libraries.

%files -n %libnextcloudsync
%{_libdir}/libnextcloudsync.so.%nextcloudsync_major
%{_libdir}/libnextcloudsync.so.%version

#------------------------------------------------------------------------------

%package -n %liblibocsync
Summary:	The Nextcloud Client Libraries
Group:	System/Libraries
Obsoletes:	%{_lib}libocsync0 < 2.2.4-4
# From owncloud-client
Obsoletes:	%{_lib}ocsync2 < 2.2.4-2

%description -n %liblibocsync
The Nextcloud Client Libraries.


%files -n %liblibocsync
%dir %_libdir/nextcloud
%_libdir/nextcloud/libocsync.so.%{libocsync_major}
%_libdir/nextcloud/libocsync.so.%{version}

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for nextcloud-client
License:	LGPLv2+
Requires:	%libnextcloudsync = %{version}-%{release}
Requires:	%liblibocsync = %{version}-%{release}
Provides:	%{name}-static = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.2.4-4
# From owncloud-client
Obsoletes:	%{_lib}owncloud-client-devel < 2.2.4-2

%description -n %{develname}
Development headers for use of the nextcloud-client library.

%files -n %{develname}
%{_libdir}/libnextcloudsync.so
%{_includedir}/nextcloudsync/
%{_libdir}/libnextcloudsync.so
%{_libdir}/nextcloud/libocsync.so

#------------------------------------------------------------------------------

%prep
%setup -q -n desktop-%{version}
%autopatch -p1

%build

%cmake_kf5 \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
	-DNO_SHIBBOLETH=1 \
	-DCMAKE_INSTALL_PREFIX=%{_usr} \
	-DINOTIFY_LIBRARY="%{_libdir}/libc.so"
%make_build


%install
%make_install -C build

#%find_lang client --with-qt
mkdir -p %{buildroot}%{_datadir}/appdata/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml



%changelog
* Thu Nov 29 2018 mokraemer <mokraemer> 2.5.0-2.mga6
+ Revision: 1336762
- Fixed requirements
- new version 2.5.0 (mga#23290)
+ zezinho <zezinho>
- updating to latest version to fix MGA#21015

* Sun Jan 22 2017 daviddavid <daviddavid> 2.2.4-6.mga6
+ Revision: 1082996
- add patch to fix wrong library name in nextclouddolphinactionplugin.desktop file (mga#20156)
- rebase syslibs patch like fedora

* Sun Nov 06 2016 daviddavid <daviddavid> 2.2.4-5.mga6
+ Revision: 1065511
- disable skip rpath
- filter out bogus requires on devel(libocsync)
- fix desktop file icon not displayed in menu application

* Fri Nov 04 2016 daviddavid <daviddavid> 2.2.4-4.mga6
+ Revision: 1065365
- obsoletes more owncloud-client stuff
- rename liblibocsync0 to libocsync0
- rename nextcloud-client-devel to libnextcloud-client-devel
- fix some ownership dir

* Fri Nov 04 2016 neoclust <neoclust> 2.2.4-3.mga6
+ Revision: 1065359
- Fix requires

* Mon Oct 31 2016 neoclust <neoclust> 2.2.4-2.mga6
+ Revision: 1064247
- imported package nextcloud-client

